LIBRARY ieee ;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;


ENTITY Timer is	
	PORT(
		-- Entradas
			T		: in std_logic; 					-- Reset activo por nivel bajo.
			CLK		: in std_logic; 					-- Seal de CLK de la placa (50MHz)
					
		-- Salidas
			Time	: out std_logic_vector(2 downto 0)

		);
END Timer;


ARCHITECTURE FUNCA_TIMER OF Timer IS

Signal	Cont	: Integer range 0 to 25000000;
Signal	Time_aux: std_logic_vector (2 downto 0);

Begin

Time <= Time_aux;

Process(CLK,T)
Begin
	if T = '0' then
		Time_aux <= "000";
		Cont <= 0;

	elsif (rising_edge(CLK)) then
		if Cont < 25000000 then   
			Cont <= Cont + 1;
		else 
			Cont <= 0;
			Time_aux <= Time_aux + 1;
		end if;
		
	end if;
End Process; 



END FUNCA_TIMER;