LIBRARY ieee ;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;


ENTITY Filtro_Boton is	
	PORT(
		-- Entradas
			Boton	: in std_logic; 
			CLK		: in std_logic; 					-- Seal de CLK de la placa (50MHz)
			RSTn	: in std_logic;
					
		-- Salidas
			Boton_Filtrado	: out std_logic

		);
END Filtro_Boton;


ARCHITECTURE FUNCA_Filtro_Boton OF Filtro_Boton IS

Signal	Cont	: Integer range 0 to 20000000;
Signal	Boton_new: std_logic;

Begin

Boton_filtrado <= Boton_new;

Process(CLK, RSTn)
Begin
	If RSTn = '0' then
		Boton_new <= '1';
		Cont <= 0;
	
	elsif (rising_edge(CLK)) then
		
		if (Cont = 0) then
			
			if not (Boton = Boton_new) then
				Cont <= Cont + 1 ;
			end if;
			
			Boton_new <= Boton;
			
		elsif Cont < 10000000 then		-- 2 dcimas de segundo   

			Cont <= Cont + 1;

		else 
			Cont <= 0;
		end if;
		
	end if;
End Process; 


END FUNCA_Filtro_Boton;